#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>
#include <sys/wait.h>
#include <sys/types.h>

void error_fatal (const char *message){
  perror (message);
  exit (EXIT_FAILURE);
}

int main(){
  pid_t pid;

  if ( (pid = fork ()) < 0)
    error_fatal ("fork error");
  // Dete proces se momentalno zavrsava.
  else if (pid == 0){
    exit (EXIT_SUCCESS);
  }
  // Roditelj se uspavljuje na 10 sekundi.
  else {
    sleep (10);
  }

  return 0;
}

